$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))

# Here's the deal. We need to make sure that the API_TOKEN is not set
# environment before the tests are run. In fact, the ENV['API_TOKEN']
# must be cleared before the ServiceMgrOptions class is loaded. That's
# why we do it before the requires.
#
# I'm just sayin'
#
ENV.delete('API_TOKEN')

require 'rspec'
require 'pvdgm-svc-client'
require 'pry'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|

end
